CREATE OR REPLACE FUNCTION Is_Number (p_string IN VARCHAR2)
RETURN NUMBER AS v_string NUMBER;
BEGIN
	 v_string := TO_NUMBER (p_string);
	 RETURN 0;
	 EXCEPTION
	 WHEN VALUE_ERROR THEN RETURN 1;
END Is_Number;
/